Linux Visplayer Issue

  • #1, by z1lt0idSunday, 13. November 2016, 20:37 3 years ago
    Recently installed the latest Visionaire after not using it for a while (own the indie license) and I noticed the Linux builds don't run and get a segfault.  Here is the output

    2:53:42.048:m_gamePath: /home/whoami/tp/twinpeaks.vis                                                                                                                                       
    2:53:42.048:The composed file '/home/whoami/tp/twinpeaks.vis' contains 44 files.                                                                                                          
    2:53:42.048:Loading file 'twinpeaks.vis#v#-01#00043#' from composed file '/home/whoami/tp/twinpeaks.vis'.                                                                                   
    2:53:42.048:Serialization finished. Needed time: 0 ms                                                                                                                                      
    2:53:42.048:Engine Version: 4.2 (Build 1182 from Build date: May 1 2015)                                                                                                                  
    2:53:42.048:Time needed for preloading game: 0 msec                                                                                                                                         
    2:53:42.048:No config.ini in /home/whoami/.local/share///fs0ciety/Twin Peaks/config.ini                                                                                                     
    2:53:42.092:Initializing graphics interface. Surface size: 3440x1440, render size: 1280x720                                                                                                 
    2:53:42.092:Using Framebuffer with texture.                                                                                                                                                 
    2:53:42.093:red, green, blue, alpha, depth size: , doublebuffer , accelerated                                                                                        
    2:53:42.093:Loading file 'twinpeaks.vis#v#-01#00043#' from composed file '/home/whoami/tp/twinpeaks.vis'.                                                                                   
    2:53:42.093:descr >;= 0 &;&; descr <; g_lookupTable.numEntries                                                                                                                                  
    2:53:42.093:                                                                                                                                                                                
    2:53:42.093:false                                                                                                                                                                           
    2:53:42.093:                                                                                                                                                                                
    2:53:42.093:Tried to access invalid field. Field VisionaireAdventureMax (id: 791) does not exist in table Object (id: 163).                                                                 
    2:53:42.093:false                                                                                                                                                                           
    2:53:42.093:                                                                                                                                                                                
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    ./start: line 47: 10765 Segmentation fault (core dumped) $BIN $@       

    I searched through the forum to discover someone else had this issue a while ago.  It was due to visplayer being much older than the editor that was being used to create the project. I downloaded the latest visplayer from the wiki - is there a newer version.  Or am I doing something wrong? \o/ wink

    Newbie

    13 Posts


  • #2, by afrlmeSunday, 13. November 2016, 20:41 3 years ago
    Apparently you need to use Visionaire Studio 4.2 if you want to export for Linux - either that or wait until Simon has finished working on the new editor, but you might be in for a bit of a wait...

    Imperator

    6804 Posts

  • #3, by z1lt0idSunday, 13. November 2016, 20:42 3 years ago
    Ah so downgrade to v4.2 - that really is a shame.  But thanks for informing me.

    Newbie

    13 Posts

  • #4, by afrlmeSunday, 13. November 2016, 20:47 3 years ago
    Only for exporting to Linux. It's what Marian has done for exporting a linux demo of A Little Less Desperation for the Kickstarter campaign. He created a copy of the main ved & opened that up in 4.2 so as not to potentially cause any issues with the main ved.

    Imperator

    6804 Posts

Write post